AbstractUrlMapping (Grails 6.0.0)

Package: org.grails.web.mapping

## [Java] Class AbstractUrlMapping

- org.grails.web.mapping.AbstractUrlMapping

- All Implemented Interfaces and Traits:
    UrlMapping

      public abstract class AbstractUrlMapping
      extends java.lang.Object
      implements UrlMapping

  Abstract UrlMapping implementation that provides common basic functionality.

  Authors:
    Graeme Rocher
  Since:
    0.5.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.lang.Object` | `actionName` |
    `protected grails.gorm.validation.ConstrainedProperty[]` | `constraints` |
    `protected java.lang.Object` | `controllerName` |
    `protected java.lang.Object` | `forwardURI` |
    `protected GrailsApplication` | `grailsApplication` |
    `protected java.lang.String` | `httpMethod` |
    `protected java.lang.String` | `mappingName` |
    `protected java.lang.Object` | `namespace` |
    `protected java.util.Map` | `parameterValues` |
    `protected boolean` | `parseRequest` |
    `protected java.lang.Integer` | `pluginIndex` |
    `protected java.lang.Object` | `pluginName` |
    `protected java.lang.Object` | `redirectInfo` |
    `protected javax.servlet.ServletContext` | `servletContext` |
    `protected java.lang.String` | `version` |
    `protected java.lang.Object` | `viewName` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractUrlMapping (java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, grails.gorm.validation.ConstrainedProperty[] constraints, GrailsApplication grailsApplication)` Base constructor required to construct a UrlMapping instance
    `protected AbstractUrlMapping (java.lang.Object viewName, grails.gorm.validation.ConstrainedProperty[] constraints, GrailsApplication grailsApplication)`
    `protected AbstractUrlMapping (java.net.URI uri, grails.gorm.validation.ConstrainedProperty[] constraints, GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `getActionName()` See Also: UrlMapping.getActionName
    `` | `public Constrained[]` | `getConstraints()` See Also: UrlMapping.getConstraints
    `` | `public java.lang.Object` | `getControllerName()` See Also: UrlMapping.getControllerName
    `` | `public java.lang.String` | `getHttpMethod()`
    `` | `public java.lang.String` | `getMappingName()`
    `` | `public java.lang.Object` | `getNamespace()`
    `` | `public java.lang.Integer` | `getPluginIndex()`
    `` | `public java.lang.Object` | `getPluginName()`
    `` | `public java.lang.Object` | `getRedirectInfo()`
    `` | `public java.lang.String` | `getVersion()`
    `` | `public java.lang.Object` | `getViewName()` See Also: UrlMapping.getViewName
    `` | `public boolean` | `hasRuntimeVariable(java.lang.String name)`
    `` | `public boolean` | `isDefinedInPlugin()`
    `` | `private void` | `setGrailsApplication(GrailsApplication grailsApplication)`
    `` | `public void` | `setMappingName(java.lang.String name)`
    `` | `public void` | `setParameterValues(java.util.Map parameterValues)`
    `` | `public void` | `setParseRequest(boolean shouldParse)`
    `` | `public void` | `setPluginIndex(int pluginIndex)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.lang.Object actionName

    - #### protected final grails.gorm.validation.ConstrainedProperty[] constraints

    - #### protected java.lang.Object controllerName

    - #### protected java.lang.Object forwardURI

    - #### protected GrailsApplication grailsApplication

    - #### protected java.lang.String httpMethod

    - #### protected java.lang.String mappingName

    - #### protected java.lang.Object namespace

    - #### @java.lang.SuppressWarnings("rawtypes") protected java.util.Map parameterValues

    - #### protected boolean parseRequest

    - #### protected java.lang.Integer pluginIndex

    - #### protected java.lang.Object pluginName

    - #### protected java.lang.Object redirectInfo

    - #### protected javax.servlet.ServletContext servletContext

    - #### protected java.lang.String version

    - #### protected java.lang.Object viewName

  - ### Constructor Detail

    - #### public AbstractUrlMapping(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, grails.gorm.validation.ConstrainedProperty[] constraints, GrailsApplication grailsApplication)

      Base constructor required to construct a UrlMapping instance

      Parameters:
        `controllerName` - The name of the controller
        `actionName` - The name of the action
        `constraints` - Any constraints that apply to the mapping
        `grailsApplication` - The GrailsApplication instance

    - #### protected AbstractUrlMapping(java.lang.Object viewName, grails.gorm.validation.ConstrainedProperty[] constraints, GrailsApplication grailsApplication)

    - #### protected AbstractUrlMapping(java.net.URI uri, grails.gorm.validation.ConstrainedProperty[] constraints, GrailsApplication grailsApplication)

  - ### Method Detail

    - #### public java.lang.Object getActionName()

      See Also:
        UrlMapping.getActionName

    - #### public Constrained[] getConstraints()

      See Also:
        UrlMapping.getConstraints

    - #### public java.lang.Object getControllerName()

      See Also:
        UrlMapping.getControllerName

    - #### @java.lang.Override public java.lang.String getHttpMethod()

    - #### public java.lang.String getMappingName()

    - #### public java.lang.Object getNamespace()

    - #### public java.lang.Integer getPluginIndex()

    - #### public java.lang.Object getPluginName()

    - #### public java.lang.Object getRedirectInfo()

    - #### @java.lang.Override public java.lang.String getVersion()

    - #### public java.lang.Object getViewName()

      See Also:
        UrlMapping.getViewName

    - #### public boolean hasRuntimeVariable(java.lang.String name)

    - #### public boolean isDefinedInPlugin()

    - #### private void setGrailsApplication(GrailsApplication grailsApplication)

    - #### public void setMappingName(java.lang.String name)

    - #### @java.lang.SuppressWarnings({"unchecked","rawtypes"}) public void setParameterValues(java.util.Map parameterValues)

    - #### public void setParseRequest(boolean shouldParse)

    - #### public void setPluginIndex(int pluginIndex)